vmstat-p.d(1m)

NAME
vmstat-p.d - vmstat -p demo in DTrace. Uses DTrace.

SYNOPSIS
vmstat-p.d

DESCRIPTION
This has been written to demonstrate fetching similar data as vmstat from DTrace. This program is intended as a starting point for other DTrace scripts, by beginning with familiar statistics. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
unstable - uses various kernel symbols.

EXAMPLES

Print virtual memory statistics every second,
    # vmstat-p.d

FIELDS

swap
    virtual memory free, Kbytes

free
    free RAM, Kbytes

re  page reclaims, Kbytes

mf  minor faults, Kbytes

sr  scan rate, pages

epi executable page ins, Kbytes

epo executable page outs, Kbytes

epf executable frees, Kbytes

api anonymous page ins, Kbytes

apo anonymous page outs, Kbytes

apf anonymous frees, Kbytes

fpi filesystem page ins, Kbytes

fpo filesystem page outs, Kbytes

fpf filesystem frees, Kbytes

NOTES
Most of the statistics are in units of kilobytes, unlike the original vmstat command which sometimes uses page counts. As this program does not use Kstat, there is no summary since boot line. Free RAM is both free free + cache free.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
vmstat-p.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
vmstat(1M), dtrace(1M)